package cn.com.victorysoft.business.indicator.dao;

import cn.com.victorysoft.business.indicator.dto.MeasureCompareDto;
import cn.com.victorysoft.business.indicator.entity.WellSectionMonth;
import cn.com.victorysoft.business.indicator.param.WellSectionMonthParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WellSectionMonthDao {

    List<WellSectionMonth> selectList(WellSectionMonthParam param);

    List<WellSectionMonth> selectNextMonthList(List<MeasureCompareDto> param);

    List<WellSectionMonth> selectByMonth(String month);

    List<WellSectionMonth> selectOpen(String month);

    int deleteByPrimaryKey(WellSectionMonth key);

    int deleteByMonth(String month);

    int insert(WellSectionMonth record);

    int insertBatch(List<WellSectionMonth> record);

    WellSectionMonth selectByPrimaryKey(WellSectionMonth key);

    int updateByPrimaryKeySelective(WellSectionMonth record);

    List<WellSectionMonth> selectListTmp(WellSectionMonthParam param);

    int insertBatchTmp(List<WellSectionMonth> record);

    int deleteTmp(String tmpId);

    int countApproved(@Param("companyCode") String companyCode, @Param("month") String month);

}
